---
--- Generated manually.
--- Created by liaogaocan.
--- DateTime: 2020-6-16 21:05:57
---

ImportScript("ugc_common/script/core/event/event_dispatcher.lua");


local HBUIEventDispatcher = HBUIEventDispatcher or class("HBUIEventDispatcher", EventDispatcher);

local function HBUIDataDecoder(data)
    return cjson.decode(data);
end

g_HBUIEventDispatcher = HBUIEventDispatcher:new();
g_HBUIEventDispatcher:SetDataDecoder(HBUIDataDecoder);
if g_EventDispatcherManager then
    g_EventDispatcherManager:RegisterDispatcher("HBUI", g_HBUIEventDispatcher);
end


_G.g_HBUIEventDispatcher = g_HBUIEventDispatcher;
